% Train VWZ model using positive and negative sets and output 
% model predictions on test_seq data.
% positive: positive training samples
% negative: negative training samples
% test_seq: test data (unlabeled)
% number: number of attributes

function Bmean=independenttest(positive, negative, test_seq,number)
rowPos=size(positive,1); %calculate the number of the positive training samples
rowNeg=size(negative,1); %calculate the number of the negative training samples
rowTst=size(test_seq,1); %calculate the number of the test instances
xtrains=[positive
        negative];
[xtrain,mtrain,stdtrain]=autosc(xtrains); %scale training samples by its means and standard deviations.
labelp=ones(rowPos,1); %set the labels of the positive samples equal to 1
labeln=-1*ones(rowNeg,1); %set the labels of the negative samples equal to -1
labeltrain=[labelp
        labeln];
[T,W,p,u,B]=pls(xtrain,labeltrain,1) ; %The values of the elements of B could be used to evaluate the importance of the vw Z-curve features.
    %h is the number of the latent variables required in the model, for example h=2.
xtest=scal(test_seq,mtrain,stdtrain); %scale testing samples by the means and standard deviations of the training samples.
scorepred=(xtest*B); % output the prediction scores not the binary labels.
fName = strcat('scores_',int2str(number),'.txt')
dlmwrite(fName,scorepred,'-append','delimiter',' '); %write the scores in file
Btemp(:,1)=B;
Bmean=mean(Btemp,2);
end